Package com.avaya.core

## Class Participant

- java.lang.Object
- - com.avaya.core.Participant

-     public final class Participant
      extends java.lang.Object

  Object representing the participant of a `Conversation`.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getId()` | The unique ID of this participant.
    `java.util.Date` | `getLastRead()` | Returns the date when this participant last read messages of the conversation.
    `int` | `getUnreadCount()` | Returns the unread count for this participant.
    `java.lang.String` | `getUserExternalId()` | The assigned userExternalId for the user that this participant is associated with.
    `java.lang.String` | `getUserId()` | The assigned userId for the user that this participant is associated with.
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getId

          public java.lang.String getId()

      The unique ID of this participant. The same user can be a participant of multiple conversations, with a different ID for each conversation, but `getUserId()` will always be the same.
      Returns:
        the participant ID
      See Also:
        `getUserId()`

    - #### getUserId

          public java.lang.String getUserId()

      The assigned userId for the user that this participant is associated with. The same user can be a participant of multiple conversation.

      This property is set automatically by AvMessagingSdk, and is not configurable. This is analogous to `User.getUserId()`.

      Returns:
        the participant userId

    - #### getUserExternalId

          public java.lang.String getUserExternalId()

      The assigned userExternalId for the user that this participant is associated with. The same user can be a participant of multiple conversation.
      Returns:
        the participant userExternalId

    - #### getUnreadCount

          public int getUnreadCount()

      Returns the unread count for this participant.
      Returns:
        the unread count for this participant

    - #### getLastRead

          public java.util.Date getLastRead()

      Returns the date when this participant last read messages of the conversation.
      Returns:
        the date when this participant last read messages of the conversation

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`